Докуметация Cтарт Статьи Форум Лента Вход
Не официальное русскоязычное сообщество
Главная
    Документация jMonkeyEngine
        jMonkeyEngine Уроки и Документация
            Требования jMonkeyEngine3

Требования jMonkeyEngine3

Опубликованно: 27.12.2015, 7:07
Последняя редакция, Andry: 10.11.2017 18:16

На этой странице описаны требования к программные и аппаратным средствам с двух точек зрения:

  • Для Java-разработчиков, которые создают игры, и также
  • Для пользователей (ваших клиентов), которые играют в игры, созданные вами.

Для разработчиков

Это минимальные требования для разработчиков, создающих игры на jMonkeyEngine SDK:

Операционная система Mac OS X, Windows, Linux, Solaris
Память (Размер кучи JVM) Более 40 МБ плюс место для игровых ресурсов
CPU Более 1Ггц
Видеокарта AMD / ATI Radeon 9500, NVIDIA GeForce FX 5, Intel GMA 4500, или лучше поддерживающая OpenGL 2.0 или выше (родные(нативные) библиотеки включены в дистрибутив)
Java Development Kit JDK 7 или выше
Вы и ваша команда можете загрузить JDK абсолютно бесплатно с http://www.java.com; для Mac OS смотрите apple.com.
Требуется хотя бы средний уровень знаний JDK

Мы рекомендуем использовать jMonkeyEngine SDK в качестве среды разработки игр (IDE). Тем не менее, любая сторонняя Java IDE (и даже текстовый редактор и командная строка) могут работать с jME фреймворком, если вы опытный пользователь того инструмента, который вы выбрали. По вопросам требований других сред разработки, пожалуйста, обратитесь к их документации.

Для пользователей

Это минимальные требования для ваших клиентов, пользователей, которые играют в игры созданные с помощью jMonkeyEngine3 фреймворка:

Операционная система Mac OS X, Windows, Linux, Solaris
Память (Размер кучи JVM) Более 10 МБ плюс место для игровых ресурсов (модели, текстуры, звуки и.т.п. конкретной игры)
CPU Более 1Ггц
Видеокарта AMD / ATI Radeon 9500, NVIDIA GeForce FX 5, Intel GMA 4500, или лучше поддерживающая OpenGL 2.0 или выше (родные(нативные) библиотеки включены в дистрибутив)
Android Устройства (Только для мобильных игр) Android 2.2 ОС, видеокарта поддерживающая OpenGL 2
Java Runtime Java 5 или выше
Для запуска jME игры требуется Виртуальная Машина Java (JVM).
Обычно JVM является уже предустановленной, но если нет, то ваши пользователи могут загрузить ее бесплатно с http://www.java.com; для Mac OS смотрите apple.com.

Обязательно сообщайте своим пользователям этих требованиях.


Переведено для jmonkeyengine.ru, оригинал
Автор перевода: BuGaGa

Добавить комментарий

Содержание

jMonkeyEngine.ru © 2017. Все права сохранены.